### Method

# FwupdPlugin Device add_problem

since: 1.8.1

#### Declaration [src]

    void
    fu_device_add_problem (
      FuDevice* self,
      FwupdDeviceProblem problem
    )

#### Description [src]

Prevent the device from being updated, changing it from `FWUPD_DEVICE_FLAG_UPDATABLE` to `FWUPD_DEVICE_FLAG_UPDATABLE_HIDDEN` if not already inhibited.

If the device already has an inhibit with the same `problem` then the request is ignored.

Available since: 1.8.1

#### Parameters

`problem`

  Type: `FwupdDeviceProblem`

  A `FwupdDeviceProblem`, e.g. `FWUPD_DEVICE_PROBLEM_SYSTEM_POWER_TOO_LOW`.